Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class HL7DBConnection

    java.lang.Object
      com.stc.hl7.parser.HL7DBConnection

    public class HL7DBConnection

extends java.lang.Object

This a connection object for the HL7 MS Access database

Version:
  $Revision: 1.8 $
Author:
  Julie Knight

Constructor Summary
`HL7DBConnection(java.lang.String dbFname)` Constructs HL7DBConnection

Method Summary
`void` | `close()` Closes the database connection
`protected void` | `finalize()` Destructor
`java.sql.Connection` | `getConn()` Returns the HL7 MS Access database connection
`java.util.ArrayList` | `getDbVerList()` Returns the HL7 MS Access database version list
`boolean` | `validateVers(java.util.ArrayList verList)` validate the version list against the database version list

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HL7DBConnection

    public HL7DBConnection(java.lang.String dbFname)
                    throws HL7ParsingException

  Constructs HL7DBConnection

  Parameters:
    `dbFname` - Database File Name
  Throws:
    `HL7ParsingException`

Method Detail

### finalize

    protected void finalize()
                     throws java.sql.SQLException

  Destructor

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.sql.SQLException`

### validateVers

    public boolean validateVers(java.util.ArrayList verList)
                         throws HL7ParsingException

  validate the version list against the database version list

  Returns:
    true if the version list iterms are present in database version list otherwise false
  Throws:
    `HL7ParsingException` - when the hl7 version is not supported by the database

### getConn

    public java.sql.Connection getConn()

  Returns the HL7 MS Access database connection

  Returns:
    database connection

### getDbVerList

    public java.util.ArrayList getDbVerList()

  Returns the HL7 MS Access database version list

  Returns:
    version list

### close

    public void close()
               throws java.sql.SQLException

  Closes the database connection

  Throws:
    `java.sql.SQLException` - when problem occurs with the Database interactions

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD